﻿:root {
    --color-dark: #333333;
    --color-light: #f8f9fa;
    /*--color-primary: #0571b0;*/
    --color-primary: var(--color-dark);
    --color-secondary: #999999;
    --color-success: var(--color-dark);
    --color-warning: #ffc107;
    --color-danger: #dc3545;
    --color-bg-warning: #ffc107;
    --color-bg-danger: #f8d7da;
    --color-label: #555555l
}

*, *::before, *::after {
    box-sizing: border-box;
}

/* HTML */
body, input, select, textarea, table {
    font: 12px Verdana, Arial, Helvetica, sans-serif;
    color: var(--color-primary);
    line-height: 1.6em;
}

p, form, div {
    margin: 0;
    padding: 0;
}

h1, h2, h3, h4, h5, h6 {
    font-style: normal;
    margin-block-start: 0.83em;
    margin-block-end: 0.83em;
}


h1 {
    /*font: bold 27px/29px Arial, Helvetica, sans-serif;*/
    font-size: 1.7em;
}

h2 {
    font-size: 1.5em;
}

h3 {
    font-size: 1.17em;
}

h4, h5, h6 {
    font: bold 11px/13px Verdana, Arial, Helvetica, sans-serif;
}

p {
    padding: 8px;
    /*margin-bottom: 10px;*/
}

    p.separator {
        float: left;
        width: 100%;
        border-top: 1px solid #dedede;
        line-height: 1px;
    }

ul, ol {
}
/* Kept empty deliberately, so it will show default browser behavior */
li {
}
/* Kept empty deliberately, so it will show default browser behavior */

a {
    color: #0066cc;
}

    a:hover {
        color: #004999;
    }

/*    a:visited {
        color: #5a3ea6;
    }
*/
a:link {
    text-decoration: none;
    /*color: #3366FF;*/
}

/*a:visited {
    text-decoration: none;*/
    /*color: #545454;*/
/*}

a:hover {
    text-decoration: none;*/
    /*color: #545454;*/
/*}

a:active {
    text-decoration: none;*/
    /*color: #545454;*/
/*}*/

a img {
    border: none;
}

legend {
    font-size: 1.2em;
    font-weight: bold;
}

input[type="submit"] {
    padding: 4px 8px;
}

input:focus-visible, textarea:focus-visible, select:focus-visible {
    outline: 1px solid var(--color-label);
}


input[type="checkbox"] {
    appearance: none;
    -webkit-appearance: none;
    width: 16px;
    height: 16px;
    border: 2px solid var(--color-primary);
    border-radius: 4px;
    outline: none;
    cursor: pointer;
    vertical-align: middle;
    position: relative;
    background-color: transparent;
}

    input[type="checkbox"]:checked {
        border-color: var(--color-primary);
    }

        input[type="checkbox"]:checked::before {
            content: '✓';
            position: absolute;
            color: var(--color-primary);
            font-weight: bold;
            font-size: 12px;
            top: -2px;
            left: 2px;
        }

    input[type="checkbox"]:disabled {
        cursor: auto;
        opacity: 0.8;
    }



.clearboth {
    clear: both;
}

/* GENERIC Hantle page layout */
/*#hantle { margin: 0; padding: 0; text-align: center; }*/
#hantle {
    margin: 0;
    padding: 0;
}

#container {
    margin: 0 auto;
    width: 950px;
    text-align: left;
    position: relative;
}

#containerMain {
    /*position: relative;*/ /*overflow:hidden;*/
}

/* Header */
#header {
    position: relative;
    height: 110px;
    /*border: solid 1px red;*/
}

    #header #linkHome {
        position: absolute;
        top: 0px;
        left: 0px;
    }

#personalMenu {
    position: absolute;
    right: 0px;
    top: 10px;
    padding: 0px 10px 0px 0px;
    font-size: 1.1em;
}

    #personalMenu li {
        float: left;
        display: block;
        padding-left: 10px;
    }

#mainMenu {
    width: 100%;
    position: absolute;
    bottom: 5px;
    background-color: #666666;
    /*background-image: url('/images/mainmenu_bg.gif');*/
    background-repeat: repeat-x;
    /*height: 28px;*/
    margin-bottom: 4px;
    clear: both;
}

    #mainMenu .menuItem {
        color: #dddddd;
        font-weight: bold;
    }

    #mainMenu .hover {
        color: White;
        background-color: #333333;
    }

/* Footer */
#footer {
    width: 950px;
    /*position: relative;*/
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border: 1px solid #a0a0a0;
    margin-top: 10px;
}

    #footer .footerBox {
        position: relative;
        display: inline-block;
        width: 210px;
        float: left;
        padding: 10px;
    }

        #footer .footerBox ul {
            margin-top: 10px;
            margin-left: 0px;
            margin-bottom: 10px;
            margin-right: 0px;
            padding-left: 0px;
            list-style-type: none;
        }

        #footer .footerBox li {
            padding-left: 0px;
        }


#copyright {
    clear: both;
    text-align: center;
    background-color: #999999;
    padding: 3px;
    color: White;
}

/* Main Page: contentHome */
#contentHome {
    padding: 5px;
}

    #contentHome #homeBanner {
        margin-bottom: 20px;
    }

    #contentHome #homeBoxes {
/*        height: 400px;
        width: 700px;*/
    }

#homeBoxes {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 8px;
}

#homeBoxes .homeBox {
/*    float: right;
    position: relative;*/
    /*height: 80px;*/
    width: 220px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border: 2px solid #999999;
    padding: 90px 10px 10px 10px;
}

    #homeBoxes .homeBox h2 {
        font-size: 1.5em;
    }

    #homeBoxes .homeBox ul {
        margin-top: 3px;
        margin-bottom: 3px;
    }

#homeBoxes #products {
    background-position: left top;
    background-image: url('/images/home/retail_atm.jpg');
    background-repeat: no-repeat;
}

#homeBoxes #supports {
    background-position: left top;
    background-image: url('/images/home/supports.jpg');
    background-repeat: no-repeat;
}

#homeBoxes #accessories {
    background-position: left top;
    background-image: url('/images/home/topper.jpg');
    background-repeat: no-repeat;
}

#homeBoxes #parts {
    background-position: left top;
    background-image: url('/images/home/parts.jpg');
    background-repeat: no-repeat;
}

#homeBoxes #partner {
    background-position: left top;
    background-image: url('/images/home/order.jpg');
    background-repeat: no-repeat;
}

#homeBoxes #cashDispenser {
    background-position: left top;
    background-image: url('/images/home/cdu.jpg');
    background-repeat: no-repeat;
}

#leftMenu {
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border: 3px solid #999999;
    padding: 0px;
    min-width: 160px;
}

    #leftMenu h2 {
        border-style: none;
        margin: 0px;
        background-color: #999999;
        padding: 3px 3px 3px 5px;
    }

    #leftMenu ul {
        margin: 5px 5px 5px 5px;
        list-style-type: none;
        padding: 0px;
    }

    #leftMenu li {
        margin: 0px;
        padding: 3px 3px 3px 3px;
    }


/* Product */
#contentProduct {
    position: relative;
    width: 760px;
    bottom: 0px;
    left: 0px;
    padding: 0px 5px 5px 5px;
    /*border: 3px solid #999999;*/
    float: right;
}

#productHeader {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 8px;
    /*margin: 3px;*/
    /*border: 1px solid #3366FF;*/
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    background-color: #2761A1;
    /*height: 20px;*/
}

    #productHeader h2 {
        color: #FFFFFF;
        font-weight: bold;
        /*border-style: none;*/
        /*float: left;*/
        font-size: 1.5em;
        /*padding-top: 2px;*/
        padding-left: 20px;
    }

#contentProduct .productDesc {
    width: 370px;
    text-indent: 10px;
    line-height: 1.7em;
    /*border: solid 1px black;*/
    float: right;
}

#contentProduct .productBrochure a {
    background-position: left top;
    font-size: 1.3em;
    background-image: url('../../images/buttons/pdf.jpg');
    background-repeat: no-repeat;
    height: 36px;
    display: inline-block;
    padding-left: 32px;
    padding-top: 8px;
    font-weight: bold;
    margin-top: 30px;
}

#contentProduct .productImage {
    display: inline;
    /*float: left;*/
    /*
    border: 2px solid #999999;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    */
    margin: 10px 10px 10px 10px;
}

#productMenu {
    display: flex;
}

#productMenu > * {
    display: inline-block;
    float: left;
    color: White;
    padding-left: 5px;
    padding-right: 5px;
    border-left: solid 1px white;
    font-size: 1.2em;
    font-weight: bold;
}

    #productMenu > *:first-child {
        border-style: none;
    }

#productMenu a {
    color: White;
}

#contentProduct .galleryThumbnail {
    height: 60px;
}

#productThumbnailList {
    padding-top: 3px;
}

#contentGeneral {
    /*position: relative;*/
    /*width: 760px;*/
/*    bottom: 0px;
    left: 0px;*/
    padding: 0px 5px 5px 5px;
    /*border: 3px solid #999999;*/
    /*float: right;*/
}

    #contentGeneral h2 {
        border-style: none;
        background-color: #eaf2ff;
        font-size: 2em;
        margin-bottom: 8px;
        padding: 10px 12px;
        border-radius: 6px;
    }

    #contentGeneral h3 {
        font-size: 1.4em;
        padding: 10px 12px;
        border-radius: 6px;
        background-color: #f2f7ff;
        font-weight: bold;
    }

.login_box {
    width: 360px;
    padding: 20px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 20px;
    margin-bottom: 20px;
    border: 5px solid #6699FF;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
}

    .login_box h2 {
        color: #6699FF;
        margin: 0px;
        text-align: center;
        border-bottom: 3px solid #6699FF;
        padding-bottom: 5px;
        margin-bottom: 5px;
    }

    .login_box h3 {
        border-style: none;
    }

    .login_box hr {
        height: 3px;
        background-color: #6699FF;
        border-collapse: collapse;
        color: #6699FF;
    }


.smallLinkbox {
    width: 140px;
    padding: 10px;
    margin-top: 20px;
    margin-bottom: 20px;
    border: 3px solid #6699FF;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
}

#contentPartStore {
/*    width: 750px;
    float: right;
    padding: 0px 5px 5px 5px;*/
}

#contentSystemStore {
    margin-left: auto;
    margin-right: auto;
    padding: 0px 5px 5px 5px;
}


.systems {
    margin-left: auto;
    margin-right: auto;
    width: 100%;
}

    .systems .system {
        border: 3px solid #99CCFF;
        width: 330px;
        margin: 10px;
        float: left;
        padding: 10px;
    }

        .systems .system .thumbnail {
            left: 0px;
            top: 0px;
            /*width: 100px;*/
            height: 100px;
        }

        .systems .system .name {
            font-size: 16px;
            color: #0066FF;
        }

        .systems .system .overview {
            color: #008080;
            border-bottom-style: solid;
            border-bottom-width: 3px;
            border-bottom-color: #008080;
            margin-bottom: 10px;
            margin-top: 10px;
        }

        .systems .system .details {
        }

        .systems .system .price {
            font-size: 14px;
            font-weight: bold;
        }

#trainingLocation {
    margin: 5px;
    padding: 10px;
    float: right;
    width: 200px;
    border: 3px solid #6699FF;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
}

#warrantyRequestForm {
}

    #warrantyRequestForm ul {
        margin-left: 5px;
        padding-left: 5px;
        list-style-type: none;
    }

    #warrantyRequestForm .label {
        display: inline-block;
        width: 150px;
        text-align: right;
        margin-right: 5px;
        font-weight: bold;
    }

.supportRequestItem {
    border-bottom: solid 2px #e0e0e0;
    margin: 10px 0px 0px 0px;
}

    .supportRequestItem ul {
        margin-left: 5px;
        padding-left: 5px;
        list-style-type: none;
    }

    .supportRequestItem .label {
        display: inline-block;
        width: 150px;
        text-align: right;
        margin-right: 5px;
        font-weight: bold;
    }

.downloadList .downloadItem h3 {
    background-color: #0099CC;
    color: #FFFFCC;
    font-weight: bold;
    font-size: 1.6em;
    border-style: none;
    padding: 5px 20px 5px 20px;
}

div.downloadItem {
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    margin: 10px;
    border: 2px solid #0099CC;
}

.downloadList .downloadItem p {
    padding: 10px;
}

.downloadList .downloadItem li {
    display: inline-block;
    float: left;
    margin: 3px;
}

a.tracking_no {
    color: Blue;
}


table.properties {
}

    table.properties caption {
        background-color: #99CCFF;
        padding: 0px;
        font-weight: bold;
        color: #333333;
    }

    table.properties td {
        padding: 2px;
        margin: 0px;
        vertical-align: top;
    }

        table.properties td.label {
            vertical-align: top;
            text-align: right;
            font-weight: bold;
            color: #666666;
        }

        table.properties td.value {
            text-align: left;
        }

.panel-content {
    margin: 5px;
}
